# $Revision: 1.51 $, $Date: 2002/07/27 19:38:43 $
Summary:	A library for character- and string-glyphs from Adobe Type 1 fonts
Summary(pl):	Biblioteka znakowych i acuchowych glifw z fontw Adobe Type 1
Summary(pt_BR):	Rasterizador de fontes Type 1
Summary(ru):	  Type 1
Summary(uk):	 Ԧ Type 1
Name:		t1lib
Version:	1.3.1
Release:	4
License:	LGPL
Group:		Libraries
Source0:	ftp://sunsite.unc.edu/pub/Linux/libs/graphics/%{name}-%{version}.tar.gz
Source1:	%{name}-fonts.Fontmap
Source2:	%{name}-fonts.fonts.scale
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-doc.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-dontprint.patch
Patch4:		%{name}-KernMapSize.patch
Patch5:		%{name}-man.patch
Patch6:		%{name}-%{name}config.patch
Patch7:		%{name}-xglyph.patch
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libt1lib1.3.1
Obsoletes:	libt1lib1.3.1-progs

%define		_xbindir	/usr/X11R6/bin
%define		_t1fontsdir	%{_fontsdir}/Type1
%define		_t1afmdir	%{_t1fontsdir}/afm
%define		_datadir	/etc

%description
t1lib is a library distributed under the GNU General Public Library
License for generating character- and string-glyphs from Adobe Type 1
fonts under UNIX. t1lib uses most of the code of the X11 rasterizer
donated by IBM to the X11-project. But some disadvantages of the
rasterizer being included in X11 have been eliminated. Here are some
of the features:
- t1lib is completely independent of X11 (although the program
  provided for testing the library needs X11)
- fonts are made known to library by means of a font database file at
  runtime
- searchpaths for all types of input files are configured by means of
  a configuration file at runtime
- characters are rastered as they are needed
- characters and complete strings may be rastered by a simple function
  call
- when rastering strings, pairwise kerning information from .afm-files
  may optionally be taken into account
- an interface to ligature-information of afm-files is provided
- a program to generate afm-files from Type 1 font files is included
- rotation is supported at any angles
- there's support for extending and slanting fonts
- underlining, overlining and overstriking is supported
- new encoding vectors may be loaded at runtime and fonts may be
  reencoded using these encoding vectors
- antialiasing is implemented using three gray-levels between black
  and white
- An interactive test program called "xglyph" is included in the
  distribution (as separate package). This program allows to test all of
  the features of the library. It requires X11.

%description -l pl
t1lib jest wypuszczon na LGPL bibliotek do generowania znakowych i
acuchowych glifw z fontw Adobe Type 1. t1lib uywa wikszoci kodu
rasteryzera X11 (wspomaganego przez IBM), ale niektre wady tego
rasteryzera zostay usunite. Niektre cechy t1lib:
- cakowita niezaleno od X11 (tylko program dostarczony do testw
  wymaga X11)
- fonty s znane bibliotece poprzez dodanie do pliku z baz danych o
  fontach - w czasie uruchamiania
- cieki wyszukiwania wszystkich plikw wejciowych s konfigurowalne
  w czasie uruchamiania
- znaki s rasteryzowane kiedy s potrzebne
- znaki i cakowite acuchy mog by zrasteryzowane prostym
  wywoaniem funkcji
- przy rasteryzacji acuchw opcjonalnie mog by brane pod uwag
  informacje o kerningu z plikw .afm
- interfejs do informacji o ligaturach z plikw .afm
- doczony program do generowania plikw .afm z fontw Type 1
- obroty o dowolny kt
- wsparcie do rozszerzania i pochylania znakw
- wsparcie dla podkrelania, nadkrelania, przekrelania
- nowe wektory kodowania mog by wczytane w czasie dziaania i fonty
  mog by ponownie zakodowane przy uyciu tych wektorw
- antyaliasing zaimplementowany przy uyciu trzech stopni szaaroci
  pomidzy czerni a biel
- interaktywny program testowy xglyph - w osobnym pakiecie (wymaga X).

%description -l pt_BR
Rasterizador de fontes Type 1 da Adobe.

%description -l ru
T1lib -         
  Adobe Type 1. T1lib     X11
  IBM  X11.   
  X11   . T1lib  
 .

%description -l uk
T1lib -  ¦̦   ̦Ʀ ̦  ˦
̦  Ԧ Adobe Type 1. T1lib դ  
 X11  Ʀ IBM  X11.  ˦ ̦
  X11   Φ. T1lib  
Ц ̦.

%package fonts
Summary:	Type 1 fonts
Summary(pl):	Fonty Type 1
Group:		X11/Fonts
Requires(post,postun):fileutils
Requires(post,postun):sed
Requires(post,postun):textutils

%description fonts
Type 1 fonts.

%description fonts -l pl
Zestaw fontw Type 1.

%package devel
Summary:	Development files for t1lib
Summary(pl):	Pliki nagwkowe i biblioteki dla t1lib
Summary(pt_BR):	Arquivos de incluso e bibliotecas para o desenvolvimento com a T1lib
Summary(ru):	  Type 1 -    
Summary(uk):	 Ԧ Type 1 -    
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libt1lib1.3.1-devel

%description devel
The files needed for developing applications using t1lib.

%description devel -l pl
Pliki niezbdne do tworzenia aplikacji z wykorzystaniem t1lib.

%description devel -l pt_BR
Arquivos de incluso e bibliotecas para o desenvolvimento de programas
t1lib.

%description devel -l ru
     t1lib .

%description devel -l uk
 ҦΦ  Цæ Ԧ,   t1lib.

%package static
Summary:	Static libraries for t1lib
Summary(pl):	Biblioteki statyczne dla t1lib
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com t1lib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for t1lib.

%description static -l pl
Biblioteki statyczne dla t1lib.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com t1lib

%description static -l ru
     t1lib.

%description static -l uk
 ¦̦    t1lib.

%package xglyph
Summary:	Test program for t1lib with X11 interface
Summary:	Program testowy dla t1lib z interfejsem X11
Group:		X11/Applications
Requires:	%{name}-devel = %{version}

%description xglyph
Test program for t1lib with X11 interface.

%description xglyph -l pl
Program testowy dla t1lib z interfejsem X11.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__libtoolize}
aclocal
mv -f aclocal.m4 ac-tools
%{__autoconf}
%configure


%{__make} %{?_without_doc:without_doc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir},%{_bindir}} \
	$RPM_BUILD_ROOT{%{_includedir},%{_xbindir}} \
	$RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir}} \
	$RPM_BUILD_ROOT%{_mandir}/man{1,5,8}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -a Fonts/enc $RPM_BUILD_ROOT%{_datadir}/%{name}
install Fonts/afm/*.afm $RPM_BUILD_ROOT%{_t1afmdir}
install Fonts/type1/*.pfb $RPM_BUILD_ROOT%{_t1fontsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}-fonts
install %{SOURCE2} $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}-fonts

install debian/t1libconfig $RPM_BUILD_ROOT/%{_bindir}/

touch $RPM_BUILD_ROOT/%{_datadir}/%{name}/FontDatabase

for sec in 1 5 8 ; do
	install debian/*.${sec} $RPM_BUILD_ROOT/%{_mandir}/man${sec}/
done

mv -f $RPM_BUILD_ROOT%{_bindir}/xglyph $RPM_BUILD_ROOT%{_xbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post fonts
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap

%postun fonts
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* 2>/dev/null | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap 2>/dev/null

%files
%defattr(644,root,root,755)
%doc Changes README.t1*
%if %{?_without_doc:0}%{!?_without_doc:1}
%doc doc/*.dvi
%endif
%doc doc/*.{tex,eps,fig}

%attr(755,root,root) %{_bindir}/type1afm
%attr(755,root,root) %{_bindir}/t1libconfig
%attr(755,root,root) %{_libdir}/*.so.*.*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/enc

%config(noreplace) %{_datadir}/%{name}/t1lib.config
%config(noreplace) %{_datadir}/%{name}/FontDatabase

%{_mandir}/man[58]/*
%{_mandir}/man1/type1afm.1*

%files fonts
%defattr(644,root,root,755)
%{_t1fontsdir}/*.pfb
%{_t1afmdir}/*.afm
%{_t1fontsdir}/*.%{name}-fonts

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files xglyph
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/xglyph
%{_mandir}/man1/xglyph.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: t1lib.spec,v $
Revision 1.51  2002/07/27 19:38:43  kloczek
- release 4: use new %doc.

Revision 1.50  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.49  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.48  2002/05/07 17:17:46  kloczek
- typos.

Revision 1.47  2002/05/07 16:57:28  kloczek
- merge translations from KSI and Conectiva.

Revision 1.46  2002/05/07 14:57:09  wiget
- fixed SIGSEGV (KernMapSize.patch - allways set KernMapSize) (#159)
- added patches from Debian
-- man.patch - manuals for type1afm, xglyph and FontDatabase
-- t1libconfig.patch - tool to generate FontDatabase
-- xglyph.patch - don't use T1LIB_CONFIG evn. variable
- remove wrong project URL
- move configurations files to /etc/%{name}/
- --without doc bcond to allow building package without installed latex
- relase 3

Revision 1.45  2002/04/15 20:46:32  gotar
- removed Requires: %{name} = %{version} for fonts subpackage;
  Type1 fonts can be used w/o it,
- fixed Requires type for sed and textutils, added fileutils,
- release 2.

Revision 1.44  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:15:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/11/23 00:57:29  kloczek
- updated to 1.3.1.

Revision 1.40  2001/10/30 21:03:37  kloczek
- release 2.

Revision 1.39  2001/10/30 21:02:12  qboosh
- dontprint patch: output dvips to file not printer during build

Revision 1.38  2001/10/30 01:17:55  kloczek
- updated to 1.3,
- added regenerate also libtool files.

Revision 1.37  2001/10/18 21:15:43  qboosh
- BuildRequires: tetex-dvips

Revision 1.36  2001/10/11 14:30:35  qboosh
- adapterized, remaining pl translations, BuildRequires: autoconf

Revision 1.35  2001/07/06 17:30:48  kloczek
- updated to 1.2.

Revision 1.34  2001/04/25 05:26:26  kloczek
- updated to 1.1.1.

Revision 1.33  2001/04/15 20:23:57  qboosh
- remove old {fonts.scale,Fontmap}.bak left by type1inst
- fixed fonts.scale generation, Prereq: sed

Revision 1.32  2001/04/15 18:04:59  qboosh
- Type1 fonts go to %%{_fontsdir}/Type1, metrics to {afm,pfm} subdirs
- changed post/postun scripts
  (merge included fontmaps instead of generating broken by type1inst)

Revision 1.31  2001/02/21 12:15:05  mis
- updated (by autoup) to 1.1.0

Revision 1.30  2000/10/04 03:23:30  kloczek
- release 6: use rpm new automation suit.

Revision 1.29  2000/09/19 09:59:23  kloczek
- removed empty Group(de).

Revision 1.28  2000/09/19 09:57:21  kloczek
- adapterized.

Revision 1.27  2000/09/19 08:47:57  zagrodzki
- fonts prereq: type1inst

Revision 1.26  2000/08/24 23:09:36  kloczek
- release 4,
- Requires changed to Prereq for type1inst in fonts subpackage (type1inst is
  called in %post).

Revision 1.25  2000/07/15 15:03:19  kloczek
- run type1inst with -q (wuiet) in %post/%postun.

Revision 1.24  2000/07/15 14:53:13  mkochano
- xglyph moved to separate package - now main package doesn't depend on X11.
- Release 3.

Revision 1.23  2000/06/13 20:30:35  kloczek
- typo.

Revision 1.22  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.21  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/06/09 03:12:27  kloczek
- fixed %post/%postun in fonts subpackage.

Revision 1.19  2000/06/09 01:14:01  kloczek
- release 2,
- spec adapterized.

Revision 1.18  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.16  2000/03/23 17:18:42  kloczek
- updated to 1.0.1,
- added stripping shared libraries,
- removed outdated datadir patch.

Revision 1.15  1999/11/25 02:52:54  pius
- one more fix in %install

Revision 1.14  1999/11/25 02:49:37  pius
- fixed BuildRequires rules

Revision 1.13  1999/11/25 02:45:35  pius
- small fixes in %install

Revision 1.12  1999/11/25 02:42:45  pius
- updated to 0.9.2
- changes in header
- added -q %%setup parameter
- added fonts subpackage
- moved fonts to /usr/share/fonts/Type1
- changed GLOBAL_DATA_DIR to /usr/share/t1lib
- added %%post & %%postun macros
- added autoconf on top of %build
- minor changes in %files and %install
- added BuildRequires: type1inst >= 0.6.1

Revision 1.11  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/14 21:26:49  pius
- added using DESTDIR,
- fixed installing documentation files,
- minor fixes in %install and %files section,
- cosmetic changes.

Revision 1.9  1999/07/14 14:01:47  baggins
- cleanup

Revision 1.8  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Jul 21 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>
- Initial release as RPM.
